var tableToExcel = (function() {
    var uri = 'data:application/vnd.ms-excel;base64,'
      , template = '<html xmlns:o="urn:schemas-microsoft-com:office:office" xmlns:x="urn:schemas-microsoft-com:office:excel" xmlns="http://www.w3.org/TR/REC-html40"><head><!--[if gte mso 9]><xml><x:ExcelWorkbook><x:ExcelWorksheets><x:ExcelWorksheet><x:Name>{worksheet}</x:Name><x:WorksheetOptions><x:DisplayGridlines/></x:WorksheetOptions></x:ExcelWorksheet></x:ExcelWorksheets></x:ExcelWorkbook></xml><![endif]--><meta http-equiv="content-type" content="text/plain; charset=UTF-8"/></head><body><table>{table}</table></body></html>'
      , base64 = function(s) { return window.btoa(unescape(encodeURIComponent(s))) }
      , format = function(s, c) { return s.replace(/{(\w+)}/g, function(m, p) { return c[p]; }) }
    return function(table, name) {
      if (!table.nodeType) table = document.getElementById(table)
      var ctx = {worksheet: name || 'Worksheet', table: table.innerHTML}
      window.location.href = uri + base64(format(template, ctx))
    }
  })();

loadtablepage(validasiToken);

function loadtablepage(token){
    $(document).ready(function(){
        $.ajax({
            type: 'POST',
            dataType: 'json',
            url: baseURL + '/api/loadtablepage',
            data: {
                token  : token,
            },
            success:function(result){
                let data = result.data;
                let counter = 1;
                for(z in data){
                    var cols = "";
                    cols += '<tr>'
                    cols += '<td>'+counter+'</td>'
                    cols += '<td>'+data[z].ip_address_client+'</td>';
                    cols += '<td>'+data[z].name_page+'</td>';
                    cols += '<td>'+data[z].date_access+'</td>';
                    cols += '<td>'+data[z].time_access+'</td>';
                    cols += '<td>'+data[z].total_time+'</td>';
              
                    cols += '</tr>'
                    $("#tabeluserwebpage").append(cols);
                    counter++;
                }
                // console.log(data);
            }
        });
    })
}